﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace SampleInfragistics
{
    public class Connection
    {
        private SqlConnection connect;
        private string connectionString = "";

        public SqlConnection getSqlConnection()
        {
            return this.connect;
        }

        public Connection()
        {

        }

        public void dbConnect()
        {
            try
            {
                connect = new SqlConnection(connectionString);
                connect.Open();
            }
            catch (SqlException e)
            {
                MessageBox.Show("Connection - dbConnect() - Error " + e.Number + ". " + e.Message);
            }
            catch (Exception f)
            {
                MessageBox.Show("Connection - dbConnect() - Global error. " + f.Message);
            }
        }

        public void dbDisconnect()
        {
            try
            {
                connect.Close();
            }
            catch (SqlException e)
            {
                MessageBox.Show("Connection - dbDisconnect() - Error " + e.Number + ". " + e.Message);
            }
            catch (Exception f)
            {
                MessageBox.Show("Connection - dbDisconnect() - Global error. " + f.Message);
            }
        }
    }
}