﻿using System.Data;
using Infragistics.Controls.Editors.Primitives;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SampleInfragistics
{
    public partial class MainWindow : Window
    {
        private Sql sql;

        public MainWindow()
        {
            InitializeComponent();
            init();
        }

        private void init()
        {
            var dt = new DataTable();
            dt.Columns.Add("field1");
            dt.Columns.Add("field2");
            dt.Columns.Add("field3");

            dt.Rows.Add("f1 1", "f2 1", "f3 1");
            dt.Rows.Add("f1 2", "f2 2", "f3 2");
            dt.Rows.Add("f1 3", "f2 3", "f3 3");
            dt.Rows.Add("f1 3", "f2 3", "f3 3");

            cb1.DataContext = dt.DefaultView;
            // I guess the 'Columns["field3"]' part determines which value is displayed when the user selects a row
            // but what if I want everything in this row ?

            cb1.DisplayMemberPath = "field1"; //Defines which column of the selected row would be displayed in the editor part

            //defines
            cb1.SelectedValuePath = "field3";
        }

        private void cb1_SelectionChanged(object sender, Infragistics.Controls.Editors.SelectionChangedEventArgs e)
        {
            //Since SelectedValuePath == "field3" - the content of the cb1.SelectedValue would be field3 column of the selected row
            MessageBox.Show(cb1.SelectedValue.ToString());

            //var row = (DataRowView) cb1.SelectedItem;
            //SpecializedTextBox tbE = Utilities.GetDescendantFromName(cb1 as DependencyObject, "TextBoxPresenter") as SpecializedTextBox;

            //// Because 'MessageBox.Show(cb1.SelectedItem.ToString())' doesn't really work
            //MessageBox.Show(tbE.Text);
        }
    }
}
 