﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace SampleInfragistics
{
    class Sql
    {
        private Connection connect;
        protected SqlCommand command;
        protected SqlDataAdapter dataAdapter;
        protected SqlDataReader dataReader;

        /* Temp var, that's why I didn't use the assembly above */
        public System.Data.DataSet dsR = new System.Data.DataSet();

        public Sql()
        {
            connect = new Connection();
            dataAdapter = new SqlDataAdapter();
            command = new SqlCommand();
        }

        public void comboBoxMainWindow()
        {
            try
            {
                connect.dbConnect();

                // There's only one table in the query
                command.Connection = connect.getSqlConnection();
                command.CommandText = "SELECT field1, field2, field3 FROM table1 ORDER BY field3";
                dataAdapter.SelectCommand = command;

                dataAdapter.Fill(dsR, "client");

                command.Dispose();
                dataAdapter.Dispose();

                connect.dbDisconnect();
            }
            catch (SqlException e)
            {
                MessageBox.Show("Sql - comboBoxMainWindow() - Error " + e.Number + ". " + e.Message);
            }
            catch (Exception f)
            {
                MessageBox.Show("Sql - comboBoxMainWindow() - Global error. " + f.Message);
            }
        }
    }
}
